Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class EditTextPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.EditTextPeer

public class EditTextPeer
extends java.lang.Object

Constructor Summary
`EditTextPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetAlignment(int i, int[] ai)`
`static int` | `GetBounds(int i, int[] ai)`
`static int` | `GetHeight(int i, int[] ai)`
`static int` | `GetIndent(int i, int[] ai)`
`static int` | `GetLeading(int i, int[] ai)`
`static int` | `GetLeftMargin(int i, int[] ai)`
`static int` | `GetMaxLength(int i, int[] ai)`
`static int` | `GetProperty(int i, int j, boolean[] aflag)`
`static int` | `GetRightMargin(int i, int[] ai)`
`static int` | `GetString(int i, java.lang.String[] as)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetAlignment(int i, int j)`
`static int` | `SetBounds(int i, int j)`
`static int` | `SetColor(int i, int j, int k, int l)`
`static int` | `SetFont(int i, int j)`
`static int` | `SetHeight(int i, int j)`
`static int` | `SetIndent(int i, int j)`
`static int` | `SetLeading(int i, int j)`
`static int` | `SetLeftMargin(int i, int j)`
`static int` | `SetMaxLength(int i, int j)`
`static int` | `SetProperty(int i, int j, boolean flag)`
`static int` | `SetRightMargin(int i, int j)`
`static int` | `SetString(int i, java.lang.String s)`
`static int` | `SetVariable(int i, java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditTextPeer

    public EditTextPeer()

Method Detail

### GetAlignment

    public static int GetAlignment(int i,
                                   int[] ai)

### GetBounds

    public static int GetBounds(int i,
                                int[] ai)

### GetHeight

    public static int GetHeight(int i,
                                int[] ai)

### GetIndent

    public static int GetIndent(int i,
                                int[] ai)

### GetLeading

    public static int GetLeading(int i,
                                 int[] ai)

### GetLeftMargin

    public static int GetLeftMargin(int i,
                                    int[] ai)

### GetMaxLength

    public static int GetMaxLength(int i,
                                   int[] ai)

### GetProperty

    public static int GetProperty(int i,
                                  int j,
                                  boolean[] aflag)

### GetRightMargin

    public static int GetRightMargin(int i,
                                     int[] ai)

### GetString

    public static int GetString(int i,
                                java.lang.String[] as)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetAlignment

    public static int SetAlignment(int i,
                                   int j)

### SetBounds

    public static int SetBounds(int i,
                                int j)

### SetColor

    public static int SetColor(int i,
                               int j,
                               int k,
                               int l)

### SetFont

    public static int SetFont(int i,
                              int j)

### SetHeight

    public static int SetHeight(int i,
                                int j)

### SetIndent

    public static int SetIndent(int i,
                                int j)

### SetLeading

    public static int SetLeading(int i,
                                 int j)

### SetLeftMargin

    public static int SetLeftMargin(int i,
                                    int j)

### SetMaxLength

    public static int SetMaxLength(int i,
                                   int j)

### SetProperty

    public static int SetProperty(int i,
                                  int j,
                                  boolean flag)

### SetRightMargin

    public static int SetRightMargin(int i,
                                     int j)

### SetString

    public static int SetString(int i,
                                java.lang.String s)

### SetVariable

    public static int SetVariable(int i,
                                  java.lang.String s)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD